# Uses of Interface
org.eclipse.gef.mvc.fx.parts.IRootPart

Packages that use IRootPart
Package
Description
org.eclipse.gef.mvc.fx.parts
This package contains all JavaFX-specific `IContentPart`, `IVisualPart`, `IFeedbackPart`, and `IHandlePart` implementations and related classes.
org.eclipse.gef.mvc.fx.viewer
This package contains a JavaFX-specific `IViewer` implementation: `InfiniteCanvasViewer`.

## Uses of IRootPart in org.eclipse.gef.mvc.fx.parts

Classes in org.eclipse.gef.mvc.fx.parts that implement IRootPart
Modifier and Type
Class
Description
`class`
`LayeredRootPart`
The `LayeredRootPart` is an `IRootPart` that manages a number of layers for the visualization, namely, the content layer, feedback layer, and handle layer.
Methods in org.eclipse.gef.mvc.fx.parts that return IRootPart
Modifier and Type
Method
Description
`IRootPart<? extends Node>`
AbstractVisualPart.`getRoot()`
`IRootPart<? extends Node>`
IVisualPart.`getRoot()`
Returns the `IRootPart`.
`IRootPart<? extends Node>`
LayeredRootPart.`getRoot()`

## Uses of IRootPart in org.eclipse.gef.mvc.fx.viewer

Methods in org.eclipse.gef.mvc.fx.viewer that return IRootPart
Modifier and Type
Method
Description
`IRootPart<? extends Node>`
InfiniteCanvasViewer.`getRootPart()`
`IRootPart<? extends Node>`
IViewer.`getRootPart()`
Returns the `IRootPart` of this viewer.